/* global body padding */
body {
  padding-top: 20px;
  padding-bottom: 20px;
}

@media (min-width: 768px) {
  body {
    padding-top: 50px;
    padding-bottom: 50px;
  }
}

.progress-bar-animated {
  -webkit-animation: progress-bar-stripes 1s linear infinite;
  animation: progress-bar-stripes 1s linear infinite;
}

/* global spacing overrides */
h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
  margin-top: 0;
}

hr {
  margin-top: 30px;
  margin-bottom: 30px;
}

.navbar-fixed-top,
.navbar-static-top {
  border-bottom: 0;
}

/*Actando Custom*/
.navbar-light {
  background-color: #fafafa;
  border-bottom: 1px solid #eeeeee;
}

.with-top-navbar {
  padding-top: 70px;
}

.greyed {
  background: repeating-linear-gradient(45deg, #dddddd, #fff 1px, #dddddd 1px);
}

.hr-divider {
  text-align: left;
}

.hr-divider-content {
  padding-left: 0;
}

.hr-divider-heading {
  font-size: 130%;
}

.hr-divider-heading a:hover {
  text-decoration: none;
}

.inputNumeric {
  width: auto;
  text-align: right;
}

.inputNumericCenter {
  width: auto;
  text-align: center;
}

.inputText {
  width: auto;
}

.numericHeader {
  text-align: right;
}

.nowrap {
  white-space: nowrap;
}

.tableH1 {
  padding-top: 30px !important;
}

.tableH2 {
  padding-top: 20px !important;
}

.accent1 {
  color: #3fa9f5;
}

.accent2 {
  color: #97a3aa;
}

.accent3 {
  color: #7ac943;
}

.accent4 {
  color: #ff931e;
}

.accent5 {
  color: #ff7bac;
}

.accent6 {
  color: #dc63ff;
}

.accent7 {
  color: #f53f3f;
}

.accent8 {
  color: #60d160;
}

.accent9 {
  color: #707ce2;
}

.accent10 {
  color: #bf67cf;
}

.accent11 {
  color: #56ccc5;
}

.accent1bg {
  background-color: #3fa9f5;
}

.accent2bg {
  background-color: #bdccd4;
}

.accent3bg {
  background-color: #7ac943;
}

.accent4bg {
  background-color: #ff931e;
}

.accent5bg {
  background-color: #ff7bac;
}

.accent6bg {
  background-color: #dc63ff;
}

.accent7bg {
  background-color: #f53f3f;
}

.accentlight1 {
  color: #ebf6fe;
}

.accentlight2 {
  color: #f8fafb;
}

.accentlight3 {
  color: #f1f9ec;
}

.accentlight4 {
  color: #fff4e8;
}

.accentlight5 {
  color: #fff2f7;
}

.accentlight6 {
  color: #fbefff;
}

.accentlight7 {
  color: #feebeb;
}

.accentlight1bg {
  background-color: #ebf6fe;
}

.accentlight1primebg {
  background-color: #f5fbff;
}

.accentlight2bg {
  background-color: #f8fafb;
}

.accentlight3bg {
  background-color: #f1f9ec;
}

.accentlight3primebg {
  background-color: #f2faee;
}

.accentlight4bg {
  background-color: #fff4e8;
}

.accentlight4primebg {
  background-color: #fffaf4;
}

.accentlight5bg {
  background-color: #fff2f7;
}

.accentlight6bg {
  background-color: #fbefff;
}

.accentlight7bg {
  background-color: #feebeb;
}

.accentlight8bg {
  background-color: #ebfeec;
}

.accentlight9bg {
  background-color: #ebeefe;
}

.accentlight10bg {
  background-color: #fcebfe;
}

.accentlight11bg {
  background-color: #ebfefd;
}

.fullWidth {
  width: 100%;
}

#toggleMenu {
  margin-right: 20px;
}

.dropdown-menu li>a>.fa-check {
  color: transparent;
  margin-right: 5px;
}

.dropdown-menu li>a.selected>.fa-check {
  color: inherit;
}

.disclaimer {
  max-height: 200px;
  overflow-y: auto;
}

.ro-group-cylce-date {
  min-width: 245px;
}

.ro-cycle-date {
  width: 120px;
  margin-top: 5px;
}

.ro-cycle-date-to {
  float: right;
}

table>tbody>tr>td.ro-text {
  padding-top: 12px;
}

input.check-ko {
  background-color: #e64759;
  color: white;
}

input.check-ko[disabled] {
  background-color: #e64759;
  color: #eceeef;
}

.structuretbody1 .ro-product.highlight-product {
  background-color: #dff0d8;
}

.istooltip {
  cursor: help;
  color: #1ca8dd;
}

.structure-item {
  padding-top: 3px;
  padding-bottom: 3px;
  padding-left: 5px;
  margin-bottom: 4px;
  cursor: pointer;
  padding-right: 0;
}

.structure-items {
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px;
  border: 1px solid #eceeef;
  padding: 2px;
  min-height: 150px;
}

.structure-items-np {
  margin-top: 5px;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px;
  border: 1px solid #eceeef;
  padding: 2px;
  min-height: 10px;
}

.table>tbody>tr>td.structure-td {
  padding-top: 2px;
  padding-left: 2px;
  padding-right: 2px;
}

.alert-no {
  background-color: #fafafa;
  border-color: #fafafa;
  color: #aaaaaa;
}

.structure-items .tooltip-inner {
  max-width: 400px;
  text-align: left;
}

.structure-items .tooltip-inner ul {
  padding-left: 15px;
  margin-bottom: 0px;
}

.fa.fa-ro-warning {
  font-size: 1.5em;
  margin-left: 10px;
  color: #e64759;
  cursor: pointer;
}

.fa.disabled {
  color: #a0a0a0;
}

.btn.btn-primary .fa.disabled {
  color: #efefef;
}

.diffftes,
.diffcallsneeded {
  font-size: 0.9em;
}

.diffcallsneeded.positive,
.diffftes.positive {
  color: #1bc98e;
}

.diffcallsneeded.negative,
.diffftes.negative {
  color: #a94442;
}

.myWaitingScreenAlert {
  width: 33%;
  margin-left: 33%;
  background-color: #eeeeee;
  padding: 10px;
  -webkit-border-radius: 6px;
  -moz-border-radius: 6px;
  border-radius: 6px;
  border: 1px solid #bbbbbb;
}

.myWaitingScreenLabel {
  font-size: 1.2em;
  font-weight: bold;
  color: #777777;
}

.myWaitingScreenAlert .progress-info-caption {
  font-size: 0.9em;
  font-style: italic;
}

.ro-field-numeric {
  text-align: right;
}

table.floatColumnTableCopy.table-striped>tbody>tr {
  background-color: #f9f9f9;
}

table.floatColumnTableCopy.table-striped>tbody>tr:nth-of-type(odd) {
  background-color: #eee;
}

table.table-summaryproduct .sortColumn,
table.table-summarycustomer .sortColumn,
table.table-summarycustomerseg .sortColumn,
table.table-summaryteams .sortColumn {
  margin-left: 10px;
  cursor: pointer;
}

tfoot {
  background-color: #eeeeee;
  font-weight: 500;
}

.summarystructuret1 {
  background-color: #1ca8dd;
  color: white;
  font-weight: 500;
}

.summarystructuret3 {
  background-color: #1bc98e;
  color: white;
  font-weight: 500;
}

.summaryStructureTargetCustomer ul,
.summaryStructureTargetCustomer ol {
  padding-left: 25px;
  margin-right: 10px;
}

.summaryStructureTargetCustomer {
  background-color: #eeeeee;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px;
  border: 1px solid #bbbbbb;
  margin-bottom: 10px;
}

.summaryStructureTargetCustomerTitle {
  text-align: center;
  font-weight: 500;
  -webkit-border-top-left-radius: 3px;
  -webkit-border-top-right-radius: 3px;
  -moz-border-radius-topleft: 3px;
  -moz-border-radius-topright: 3px;
  border-top-left-radius: 3px;
  border-top-right-radius: 3px;
  background-color: white;
}

.sortColumn {
  cursor: pointer;
}

button.multiselect.btn-default {
  background-color: white;
}

.of_selection_part button.multiselect {
  width: 100%;
}

.of_selection_part .multiselect-native-select .btn-group {
  width: 100%;
}

.of_selection_part button.multiselect {
  text-align: left;
}

.of_selection_part button.multiselect>b.caret {
  float: right;
  margin-top: 8px;
}

.multiselect.dropdown-toggle::after {
  content: none;
}

.alert.alert-optimal-frequency {
  border-color: #bce8f1;
  background-color: #d9edf7;
  color: #31708f;
}

#structure-optimal-frequency-part tr,
#structure-optimal-frequency-part th {
  background-color: white;
}

#structure-optimal-frequency-part tr.selected {
  background-color: #31708f;
  color: white;
  font-style: italic;
}

.mcm-activityName {
  margin-left: 10px;
}

.mcm-channel-item {
  cursor: pointer;
  margin-bottom: 5px;
  display: flex;
  align-items: baseline;
}

.mcm-allocations {
  margin-top: 10px;
}

.table-condensed>tbody>tr td.mcm-tdindent1 {
  padding-left: 20px;
}

td.isnumeric,
.mcmAllocationItemField.isnumeric {
  text-align: right;
}

.MCMtdChannelDroppable {
  background-color: #f9f7d3;
}

.MCMtdChannelDroppable.ui-state-over {
  background-color: #edeaa2;
}

.iscenter {
  text-align: center;
}

/*********/

#mcm-container .MCMAllocationItemTargeted {
  width: 65px;
}

#mcm-container .actionTdPlanActivityDroppable.ui-state-over {
  background-color: #edeaa2;
}

#mcm-container .MCMAllocationItemQty {
  width: 20px;
  padding: 0;
  font-size: 12px;
  line-height: 1.8;
  margin-left: 5px;
  border: 0;
}

#mcm-container .MCMAllocationItemLogo {
  width: 22px;
  cursor: pointer;
}

#mcm-container .input-group-addon-ap {
  padding: 2px 5px 2px 5px;
}

#mcm-container .MCMdivAllocationItem .form-group {
  margin-bottom: 2px;
}

#mcm-container .MCMdivAllocationItem-state-highlight {
  margin-bottom: 2px;
  height: 30px;
  background-color: #fffdd1;
}

#mcm-container .MCMAllocationItemLogoTrash.disabled {
  cursor: not-allowed;
}

.budgetplanned {
  white-space: nowrap;
}

#mcm-container .mcm-channels-list {
  padding-left: 10px;
  background-color: white;
}

#mcm-container .mcm-channel-item {
  width: 200px;
}

#mcm-container .tbChannels {
  background-color: white;
  vertical-align: top !important;
}

#actionplan .MCMdivAllocationItem-state-highlight {
  margin-bottom: 2px;
  height: 30px;
  background-color: #fffdd1;
}

.datepicker-dropdown {
  z-index: 2000;
}

.ro-allocations-tab1 .fromcrmdata {
  font-style: oblique;
  color: #ff931e;
}

.ro-sf-sfname {
  width: 80px;
}

.generatepassword,
.generatepassword:hover,
.generatepassword:focus {
  color: #1ca8dd;
}

.modal {
  color: #555555;
  text-shadow: none;
}

.progress.ropasswordprgbar {
  color: #555555;
  font-weight: bold;
}

.progress-bar.roprgbar {
  color: #555555;
  font-weight: bold;
}

.roprgbar.progress-bar.bg-danger {
  background-color: #ff5e5e !important;
}

.roprgbar.progress-bar.bg-warning {
  background-color: #f3d640 !important;
}

.roprgbar.progress-bar.bg-success {
  background-color: #6fce47 !important;
}

.table-summaryproduct thead th.sciy1 {
  background-color: #fdce8d;
}

.table-summaryproduct tbody tr:nth-of-type(odd)>td.sciy1 {
  background-color: #ffe4be !important;
}

.table-summaryproduct tbody tr:nth-of-type(even)>td.sciy1 {
  background-color: #fbf6f0 !important;
}

.table-summaryproduct thead th.cury {
  background-color: #1ca8dd;
}

.table-summaryproduct tbody tr:nth-of-type(odd)>td.cury {
  background-color: #68c2e4 !important;
}

.table-summaryproduct tbody tr:nth-of-type(even)>td.cury {
  background-color: #d4f3ff !important;
}

.table-summaryproduct thead th.sciy2 {
  background-color: #6be86b;
}

.table-summaryproduct tbody tr:nth-of-type(odd)>td.sciy2 {
  background-color: #a9e4a9 !important;
}

.table-summaryproduct tbody tr:nth-of-type(even)>td.sciy2 {
  background-color: #dfffdf !important;
}

.alert-inforo {
  background-color: #1ca8dd;
  border-color: #0275d8;
  color: #ffffff;
}

.txtalert {
  color: #e64759;
}

.multiselect-container .form-check-input {
  margin-right: 5px !important;
}

.multiselect-container>.multiselect-option>span,
.multiselect-container .multiselect-group>span {
  padding: 3px 5px !important;
}

.error-info {
  color: #e64759;
  font-style: italic;
  display: block;
}

.nonpromoted-products {
  margin-bottom: 5px;
}

.ro-salesforces-impactlabel {
  margin-left: 5px;
}

input.ro-salesforces-impact[type="checkbox"] {
  width: 12px !important;
  height: 12px !important;
  -webkit-appearance: none;
  -moz-appearance: none;
  -o-appearance: none;
  appearance: none;
  outline: 1px solid gray;
  box-shadow: none;
  font-size: 0.8em;
  text-align: center;
  line-height: 1em;
  background: #1bc98e;
}

input.ro-salesforces-impact[type="checkbox"]:checked {
  background: red;
}

input.ro-salesforces-impact[type="checkbox"]:checked:after {
  content: "✔";
  color: white;
}

.nav-header.nav-admin {
  color: #ffffff;
  background-color: #1ca8dd;
  padding: 10px 10px 10px 10px;
  cursor: pointer;
  border-radius: 5px;
}

.navbar-brand-icon {
  margin-right: 20px !important;
}

.dataTables_filter,
.dataTables_info {
  display: none;
}

.sortcolumn {
  margin-left: 10px;
  cursor: pointer;
}

.nowrap .head-row th,
.nowrap .head-row td {
  max-width: 164px !important;
  width: 154px;
  min-width: 154px;
  white-space: pre-wrap;
}

.nowrap th {
  white-space: nowrap;
}


.highlighted {
  border: 1px solid #03a9f4;
  background: #e4f2f9;
}

/*td, th {
  vertical-align: middle !important;
}*/

#search:not(:placeholder-shown) {
  background: #fff2f7;
}

.optimizeprocess a {
  color: #e64759 !important;
  animation: clignote 2s linear infinite;
}

#run-optimization:not([disabled]) {
  animation: clignote 2s linear infinite;
}

@keyframes clignote {
  50% {
    opacity: 0;
  }
}

.loading-icon {
  font-size: 1.6rem;
}

.loading-icon-animate {
  -webkit-animation: spin2 .7s infinite linear;
}

@-webkit-keyframes spin2 {
  from {
    -webkit-transform: rotate(0deg);
  }

  to {
    -webkit-transform: rotate(360deg);
  }
}

td.copypaste {
  position: relative;
}

.copypaste-buttons {
  position: absolute;
  width: 62px;
  height: 36px;
  right: 0;
  padding-top: 6px;
  top: -30px;
  color: #1ca8dd;
  background-color: white;
  border-radius: 5px;
  z-index: 1000;
  border: 1px solid #a0a0a0;
}

.copypaste-buttons>i {
  font-size: 1.7em;
  cursor: pointer;
  margin-left: 5px;
}

.copypaste-buttons>i.disabled {
  cursor: not-allowed;
}

.divCopyInfo.alert.alert-info {
  background-color: #54a9dd;
  border-color: #9f86ff;
  color: white;
}

.divCopyInfo.alert {
  text-align: right;
  position: fixed;
  width: 100%;
  z-index: 10000;
  padding: 2px 10px 2px 2px;
  top: 0;
  border-radius: 0px 0px 4px 4px;
}

.form-group-separator {
  border-bottom: 1px solid #e5e5e5;
  margin-top: 15px;
}


.skeleton {
  width: 100% !important;
  height: 50px !important;
  border-radius: 0.5rem !important;
  background: linear-gradient(-75deg,
      transparent 40%,
      #f7f7f7,
      transparent 60%) 0 0 / 200% 100%,
    #ebebeb;
  animation: load 2s infinite linear;
}

@keyframes load {
  to {
    background-position: 200% 0;
  }
}

.resources-box {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 15px;
}

.resource-card {
  padding: 10px;
  display: grid;
  grid-template-columns: 50px 1fr;
  grid-template-rows: 1fr;
  gap: 20px;
  align-items: center;
  background-color: #f7f7f7;
  cursor: pointer;
  transition: transform 0.25s cubic-bezier(0.075, 0.82, 0.165, 1);
  color: inherit !important;
  text-decoration: none !important;
}

.resource-card .card-download:hover {
  transform: translateY(-2px);
  text-decoration: none;

}

.card-logo {
  width: 50px;
  height: 50px;
  background-color: #d1d1d1;
  border: 1px solid #ababab;
  border-radius: 0.25rem;
  display: grid;
  place-items: center;
  color: white;
  text-transform: uppercase;
  font-weight: 900;
}

.modal.fade .modal-dialog {
  transform: none !important;
}

.is-invalid {
  border-color: red !important;
}

.text-left {
  text-align: left !important;
}

.table.kamestimation.table-striped>tbody>tr:nth-of-type(odd) {
  background-color: #fff;
}

.table.kamestimation.table-striped>tbody>tr:nth-of-type(even) {
  background-color: #f9f9f9;
}

.table.kamestimation thead tr:first-of-type {
  background-color: white;
}

.table.kamestimation thead tr:last-of-type {
  background-color: #f9f9f9;
  border-bottom: 1px solid #dddddd;
}

.table.kamestimation thead tr th:nth-of-type(1) {
  min-width: 150px
}

.table.kamestimation thead tr th:nth-of-type(2) {
  min-width: 150px
}

.table.kamestimation thead tr th:nth-of-type(3) {
  min-width: 20px
}

.txtbold {
  font-weight: bold;
}

.txtnormal {
  font-weight: normal;
}

.financialreporttable {
  width: unset;
  max-width: unset;
}

.financialreporttable th {
  min-width: 200px;
}

.financialreporttable td {
  white-space: nowrap;
}

.productmarket {
  text-transform: uppercase;
}

.highlightedInput {
  border-color: #f41303 !important;
}

#maketingapNY table tr th,
#maketingapNY table tr td,
#maketingapNY table tr td input,
#maketingapCY table tr th,
#maketingapCY table tr td,
#maketingapCY table tr td input {
  text-align: center;
  min-width: 130px;
  vertical-align: middle;
}


#maketingapNY table,
#maketingapCY table {
  width: 100%;
  border-collapse: collapse;
}

.ap_c_1,
.ftes {
  background-color: #F3D1FF;
  text-align: center !important;
}

.ap_c_2 {
  background-color: #EBFEEC;
}

.ap_c_3 {
  background-color: #EBEEFE;
}

.ap_c_4 {
  background-color: #FCEBFE;
}

.ap_c_5 {
  background-color: #EBFEFD;
}

.ap_c_6 {
  background-color: #FFF4E8;
}

.ap_highlight {
  background: #de82ff !important;
  font-weight: bold !important;
}

.total-row {
  font-weight: bold;
}

.total-row td {
  background: #f1f1f1;
}

#maketingapCY table tr td,
#maketingapNY table tr td,
#incrementalAPImpactSection1 table tr:not(:last-child) td,
#incrementalAPImpactSection2 table tr:not(:last-child) td,
#incrementalAPImpactSection3 table tr:not(:last-child) td {
  height: 52.23px;
}

/* #maketingapCY table th,
#maketingapCY table td,
#maketingapNY table th,
#maketingapNY table td {
  z-index: 1;
}

#maketingapCY table th:nth-child(-n+5),
#maketingapCY table td:nth-child(-n+5),
#maketingapNY table th:nth-child(-n+5),
#maketingapNY table td:nth-child(-n+5) {
  position: sticky;
  z-index: 2;
}

#maketingapCY table tr:first-child th:nth-child(1),
#maketingapCY table td:nth-child(1),
#maketingapNY table tr:first-child th:nth-child(1),
#maketingapNY table td:nth-child(1) {
  left: 0;
  text-align: left;
}

#maketingapCY table th:nth-child(2),
#maketingapCY table td:nth-child(2),
#maketingapNY table th:nth-child(2),
#maketingapNY table td:nth-child(2) {
  left: 120px;
}

#maketingapCY table th:nth-child(3),
#maketingapCY table td:nth-child(3),
#maketingapNY table th:nth-child(3),
#maketingapNY table td:nth-child(3) {
  left: 240px;
}

#maketingapCY table th:nth-child(4),
#maketingapCY table td:nth-child(4),
#maketingapNY table th:nth-child(4),
#maketingapNY table td:nth-child(4) {
  left: 360px;
}

#maketingapCY table th:nth-child(5),
#maketingapCY table td:nth-child(5),
#maketingapNY table th:nth-child(5),
#maketingapNY table td:nth-child(5) {
  left: 480px;
} */


.fm_header {
  position: sticky;
  z-index: 10;
  background: #fff;
  left: 0;
  padding: 20px 0;
}

.forecasting_container table {
  background: #fff;
}

.table_sticky_header {
  position: sticky !important;
  z-index: 9 !important;
}

.d-none {
  display: none !important;
}

.d-block {
  display: block !important;
}